__gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 >(3cxx)

NAME
__gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 > - An SGI extension .

SYNOPSIS

#include <functional>

Inherits __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >.

  Public Types

typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions

constant_binary_fun (const _Result &__v)
const result_type & operator() (const _Arg1 &, const _Arg2 &) const

  Public Attributes

_Result _M_val

Detailed Description

  template<class _Result, class _Arg1 = _Result, class _Arg2 = _Arg1>
struct __gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 >"An SGI extension .

Author

Generated automatically by Doxygen for libstdc++ from the source code.